## pysvn 1.5.0dfsg-1

=== debian/changelog ===
pysvn (1.5.0dfsg-1) unstable; urgency=low

  * New upstream version, supporting subversion-1.4.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Oct 2006 23:14:37 +0200

pysvn (1.4.2+dfsg-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for etch-targetted RC bugfix.
  * Build-depend on libapr1-dev instead of libapr0-dev and use
    apr-config --includedir in setup.py, for the apache2.2 transition.
    Closes: #391637.

 -- Steve Langasek <vorlon@debian.org>  Tue, 24 Oct 2006 02:15:19 -0700

pysvn (1.4.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball, removing Kit/Win32/vc6redist/ which is not
    DFSG-free. (Closes: #383525)
  * Set LC_ALL=C in debian/rules; fixes FTBFS in some locales.
    (Closes: #383524, #383532)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Aug 2006 00:53:29 +0200

pysvn (1.4.2-2) unstable; urgency=medium

  * Fixed in 1.4.x:
    - Fixed documentation of pysvn.Client.propget. Closes: #339525.
    - Client.revpropget doesn't segfault when property doesn't exist.
      Closes: #294263.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 16:36:59 +0200

pysvn (1.4.2-1) unstable; urgency=low

  * New upstream version.
  * Convert to new Python policy. Closes: #373507.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 20:18:32 +0200

pysvn (1.4.1-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (closes: #357964).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 16:22:18 +0200

pysvn (1.4.1-1) unstable; urgency=low

  * New upstream version.
  * Supports subversion 1.3 (closes: #354962).

 -- Matthias Klose <doko@debian.org>  Tue,  7 Mar 2006 14:08:44 +0000

pysvn (1.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Oct 2005 14:50:18 +0200

pysvn (1.3.0-1) unstable; urgency=low

  * Package from release tarball.

 -- Matthias Klose <doko@debian.org>  Thu,  8 Sep 2005 05:13:33 +0000

pysvn (1.2.99-1) unstable; urgency=low

  * New upstream version (1.3, taken from the svn repository).
  * Compatible with subversion-1.2 (closes: #325194).
  * Fix issues with g++-4.0 (closes: #325178, #325168, #325384).
  * Remove .svn directory in package (closes: #301941).

 -- Matthias Klose <doko@debian.org>  Wed,  7 Sep 2005 18:53:15 +0000

pysvn (1.2.0-2) unstable; urgency=low

  * Build for new C++ ABI.
  * Build using -fvisibility=hidden -fvisibility-inlines-hidden.
  * Merge Ubuntu changes:
    * Diff results should be literal strings, there is no globally safe
      encoding for them (Robert Collins <robertc@robertcollins.net>)

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2005 07:59:44 +0000

pysvn (1.2.0-1ubuntu1) breezy; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  3 Jun 2005 12:15:20 +0000

pysvn (1.1.2-3) unstable; urgency=medium

  * Fix a race condition with a buffered temp file (Robert Collins).

 -- Matthias Klose <doko@debian.org>  Sun,  8 May 2005 18:09:00 +0200

pysvn (1.1.2-2) unstable; urgency=low

  * Remove version control directories (closes: #301941).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Apr 2005 16:12:53 +0200

pysvn (1.1.2-1ubuntu1) hoary; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  1 Mar 2005 22:52:12 +0100

pysvn (1.1.0-2) unstable; urgency=low

  * Fix pasto in revpropset command (closes: #288970).

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jan 2005 07:45:12 +0100

pysvn (1.1.0-1) unstable; urgency=low

  * New upstream version (closes: #287427).
  * Apply patch to build with gcc-4.0 (closes: #287427).

 -- Matthias Klose <doko@debian.org>  Mon,  3 Jan 2005 08:51:08 +0100

pysvn (1.0.0-2) unstable; urgency=low

  * Add dependency on python.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Dec 2004 12:28:21 +0100

pysvn (1.0.0-1) unstable; urgency=low

  * Build python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Dec 2004 18:28:28 +0100

pysvn (1.0.0-0ubuntu1) hoary; urgency=low

  * Initial Release.

 -- Matthias Klose <m@klose.in-berlin.de>  Fri,  3 Dec 2004 19:33:57 +0100
