=== debian/control ===
Source: pysvn
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.3.5-9), python-cxx-dev (>= 5.3.6), libsvncpp-dev (>= 0.9.1), libapr1-dev, subversion (>= 1.4)
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-svn
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Conflicts: python2.3-svn, python2.4-svn
Replaces: python2.3-svn, python2.4-svn
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A(nother) Python interface to Subversion
 The pysvn module is a python interface to the Subversion version
 control system.  This API exposes client interfaces for managing a
 working copy, querying a repository, and synchronizing the two.
