=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export LC_ALL=C

CFLAGS	= -Wall -g #-fvisibility=hidden -fvisibility-inlines-hidden

PYVERS	:= $(shell pyversions -vr debian/control)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

p	= python-svn
d	= debian/$(p)

defver	= $(shell /usr/bin/python -c 'import sys; print sys.version[:3]')
pdef	= python$(defver)-svn

CXX	= g++

APR_INC	= $(shell apr-config --includes | sed 's/-I//')

build: build-stamp
build-stamp: $(PYVERS:%=build-stamp%)
	touch $@

build-stamp%:
	dh_testdir
	rm -f Source/*.o Source/pysvn/*.so Source/Makefile
	cd Source && python$* setup.py configure \
		--pycxx-dir=/usr/share/python$*/CXX
	PYSVN_BUILD_REVISION=1 \
	  $(MAKE) -C Source
	mv Source/pysvn/_pysvn.so _pysvn.so.$*
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp*
	rm -f Source/*.o Source/pysvn/*.so Source/pysvn_version.hpp
	rm -f Source/pysvn_docs.[ch]pp Source/Makefile Tests/Makefile
	rm -f _pysvn.so*
	dh_clean 

install: install-stamp
install-pre:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
install-stamp: build-stamp install-pre $(PYVERS:%=install-python%)
install-python%:
	dh_installdirs \
		usr/lib/python$*/site-packages/pysvn
	cp -pr Source/pysvn $(d)/usr/lib/python$*/site-packages/
	cp -p _pysvn.so.$* $(d)/usr/lib/python$*/site-packages/pysvn/_pysvn.so

	-find $(d) -name .svn | xargs rm -rf

# Build architecture independant packages using the common target.
binary-indep: build install
# nothing to do

# Build architecture dependant packages using the common target.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a -A -X.svn Docs/*
	dh_installexamples -a -A Examples/*
	dh_strip -a
	dh_compress -a -X.py -X.sxw
	dh_fixperms -a
	DH_PYCENTRAL=nomove dh_pycentral -a
	dh_python -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
