=== debian/watch ===
version=3
http://pysvn.tigris.org/servlets/ProjectDocumentList?folderID=1762 .*/pysvn-(.*)\.tar\.gz
