## pysvn 1.5.1-0ubuntu2

=== debian/changelog ===
pysvn (1.5.1-0ubuntu2) feisty; urgency=low

  * Install extension as _pysvn_$(MAJOR)_$(MINOR).so (LP: #88824).
  * Don't install /usr/lib/python*/site-packages/pysvn/__init__.py in
    python-svn-dbg, as otherwise it conflicts with python-svn.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Mar 2007 14:58:28 +0000

pysvn (1.5.1-0ubuntu1) feisty; urgency=low

  * New upstream version; bug fix release.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Feb 2007 14:30:49 +0100

pysvn (1.5.0dfsg-1ubuntu1) feisty; urgency=low

  * Build a python-svn-dbg package.
  * Bump debhelper compatibility to v5.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Feb 2007 13:42:32 +0100
