=== debian/rules ===
--- 
+++ 
@@ -35,29 +35,41 @@
 
 CXX	= g++
 
-APR_INC	= $(shell apr-config --includes | sed 's/-I//')
+APR_INC	= $(strip $(shell apr-config --includes | sed 's/-I//'))
 
 build: build-stamp
-build-stamp: $(PYVERS:%=build-stamp%)
+build-stamp: $(PYVERS:%=build-stamp%) $(PYVERS:%=dbg-build-stamp%)
 	touch $@
 
 build-stamp%:
 	dh_testdir
 	rm -f Source/*.o Source/pysvn/*.so Source/Makefile
 	cd Source && python$* setup.py configure \
-		--pycxx-dir=/usr/share/python$*/CXX
+		--pycxx-dir=/usr/share/python$*/CXX \
+		--apr-inc-dir=$(APR_INC)
 	PYSVN_BUILD_REVISION=1 \
 	  $(MAKE) -C Source
 	mv Source/pysvn/_pysvn.so _pysvn.so.$*
 	touch $@
 
+dbg-build-stamp%:
+	dh_testdir
+	rm -f Source/*.o Source/pysvn/*.so Source/Makefile
+	cd Source && python$*-dbg setup.py configure \
+		--pycxx-dir=/usr/share/python$*/CXX \
+		--apr-inc-dir=$(APR_INC)
+	PYSVN_BUILD_REVISION=1 \
+	  $(MAKE) -C Source
+	mv Source/pysvn/_pysvn.so _pysvn_d.so.$*
+	touch $@
+
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp*
+	rm -f build-stamp* dbg-build-stamp*
 	rm -f Source/*.o Source/pysvn/*.so Source/pysvn_version.hpp
 	rm -f Source/pysvn_docs.[ch]pp Source/Makefile Tests/Makefile
-	rm -f _pysvn.so*
+	rm -f _pysvn*.so*
 	dh_clean 
 
 install: install-stamp
@@ -65,14 +77,20 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k -s 
-install-stamp: build-stamp install-pre $(PYVERS:%=install-python%)
+install-stamp: build-stamp install-pre $(PYVERS:%=install-python%) $(PYVERS:%=dbg-install-python%)
 install-python%:
-	dh_installdirs \
+	dh_installdirs -ppython-svn \
 		usr/lib/python$*/site-packages/pysvn
 	cp -pr Source/pysvn $(d)/usr/lib/python$*/site-packages/
-	cp -p _pysvn.so.$* $(d)/usr/lib/python$*/site-packages/pysvn/_pysvn.so
+	cp -p _pysvn.so.$* $(d)/usr/lib/python$*/site-packages/pysvn/_pysvn_$(subst .,_,$*).so
 
 	-find $(d) -name .svn | xargs rm -rf
+
+dbg-install-python%:
+	dh_installdirs -ppython-svn-dbg \
+		usr/lib/python$*/site-packages/pysvn
+	cp -p _pysvn_d.so.$* $(d)-dbg/usr/lib/python$*/site-packages/pysvn/_pysvn_$(subst .,_,$*)_d.so
+	-find $(d)-dbg -name .svn | xargs rm -rf
 
 # Build architecture independant packages using the common target.
 binary-indep: build install
@@ -85,11 +103,12 @@
 	dh_installchangelogs -a
 	dh_installdocs -a -A -X.svn Docs/*
 	dh_installexamples -a -A Examples/*
-	dh_strip -a
+	dh_strip -ppython-svn --dbg-package=python-svn-dbg
+	rm -rf debian/python-svn-dbg/usr/share/doc/python-svn-dbg
+	ln -s python-svn debian/python-svn-dbg/usr/share/doc/python-svn-dbg
 	dh_compress -a -X.py -X.sxw
 	dh_fixperms -a
 	DH_PYCENTRAL=nomove dh_pycentral -a
-	dh_python -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
