## pysvn 1.5.1-2

=== debian/changelog ===
pysvn (1.5.1-2) unstable; urgency=low

  * Fix maintainer address.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jun 2007 09:56:37 +0200

pysvn (1.5.1-1) unstable; urgency=low

  * New upstream version, supporting subversion-1.4.
  * Merge from Ubuntu:
    - Build a python-svn-dbg package.
    - Bump debhelper compatibility to v5.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jun 2007 09:31:42 +0200
