=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pysvn
 Section: python
 Priority: optional
-Maintainer: Ubuntu MOTU developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.3.5-9), python-all-dbg, python-cxx-dev (>= 5.4), libsvncpp-dev (>= 0.9.1), libapr1-dev, subversion (>= 1.4)
 XS-Python-Version: all
 Standards-Version: 3.7.2
