## pysvn 1.7.5

=== debian/changelog ===
pysvn (1.7.5-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Drop the not needed build dependency on libsvncpp-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Dec 2011 13:29:25 +0100

pysvn (1.7.5-1) unstable; urgency=low

  [ Henry Velez ]
  * New maintainer. Closes: #611062
  * New upstream release

  [ Matthias Klose ]
  * Build using subversion multiarch location.
  * Use dpkg-buildflags.

 -- Henry Velez <henry.debian@gmail.com>  Mon, 13 Jun 2011 02:56:06 -0500

pysvn (1.7.2-4) unstable; urgency=low

  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jan 2011 07:22:03 +0100

pysvn (1.7.2-3) unstable; urgency=low

  * Build using dh_python2 instead of dh_pycentral. Closes: #590398.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jul 2010 10:54:35 +0200

pysvn (1.7.2-2) unstable; urgency=low

  * Don't explicitely use the name of the site directory. Closes: #567960.
  * Provide python-pysvn. Closes: #556849.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Feb 2010 16:36:57 +0100

pysvn (1.7.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Jan 2010 09:30:21 +0100

pysvn (1.7.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2010 15:40:52 +0100

pysvn (1.7.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Aug 2009 10:50:50 +0200

pysvn (1.6.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2008 02:56:09 +0000

pysvn (1.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Store __init__.py for each python version and don't mix them 
    (Closes: #501646).
  * Avoid setting rpath to /usr/lib64 in compiled modules.

 -- Michal Čihař <nijel@debian.org>  Wed, 22 Oct 2008 09:40:00 +0200

pysvn (1.6.1-1) unstable; urgency=low

  * New upstream version (supporting subversion-1.5.2).

 -- Matthias Klose <doko@debian.org>  Mon, 06 Oct 2008 23:16:01 +0200

pysvn (1.6.0-1) unstable; urgency=low

  * New upstream version (supporting subversion-1.5).

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jul 2008 17:41:19 +0200

pysvn (1.5.3-3) unstable; urgency=low

  * Explicitely build-depend on libneon27-gnutls-dev. Closes: #489080.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2008 11:23:02 +0200

pysvn (1.5.3-2) unstable; urgency=low

  * Add doc-base file.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jun 2008 00:49:35 +0200

pysvn (1.5.3-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Feb 2008 05:36:00 +0100

pysvn (1.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 21:36:43 +0100
