=== debian/control ===
Source: pysvn
Section: python
Priority: optional
Maintainer: Henry Velez <henry.debian@gmail.com>
Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-9~), python-all-dbg, python-cxx-dev (>= 6.1.1-2), libsvn-dev (>= 0.12), libapr1-dev, libneon27-gnutls-dev, subversion (>= 1.6.1)
XS-Python-Version: all
Standards-Version: 3.9.2
Homepage: http://pysvn.tigris.org/

Package: python-svn
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Conflicts: python2.3-svn, python2.4-svn
Replaces: python2.3-svn, python2.4-svn
Provides: ${python:Provides}, python-pysvn
Suggests: python-svn-dbg
XB-Python-Version: ${python:Versions}
Description: A(nother) Python interface to Subversion
 The pysvn module is a Python interface to the Subversion version
 control system.  This API exposes client interfaces for managing a
 working copy, querying a repository, and synchronizing the two.

Package: python-svn-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-svn (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: python-pysvn
Description: A(nother) Python interface to Subversion (debug extension)
 The pysvn module is a Python interface to the Subversion version
 control system.  This API exposes client interfaces for managing a
 working copy, querying a repository, and synchronizing the two.
