=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,12 @@
 export DH_OPTIONS
 export LC_ALL=C
 
-CFLAGS	= -Wall -g #-fvisibility=hidden -fvisibility-inlines-hidden
+CFLAGS	:= $(shell dpkg-buildflags --get CFLAGS)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 PYVERS	:= $(shell pyversions -vr debian/control)
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+include /usr/share/python/python.mk
 
 p	= python-svn
 d	= debian/$(p)
@@ -38,29 +35,49 @@
 APR_INC	= $(strip $(shell apr-config --includes | sed 's/-I//'))
 
 build: build-stamp
-build-stamp: $(PYVERS:%=build-stamp%) $(PYVERS:%=dbg-build-stamp%)
+build-stamp: backport-stamp $(PYVERS:%=build-stamp%) $(PYVERS:%=dbg-build-stamp%)
 	touch $@
 
-build-stamp%:
-	dh_testdir
-	rm -f Source/*.o Source/pysvn/*.so Source/Makefile
-	cd Source && python$* setup.py configure \
-		--pycxx-dir=/usr/share/python$*/CXX \
-		--apr-inc-dir=$(APR_INC)
-	PYSVN_BUILD_REVISION=1 \
-	  $(MAKE) -C Source
-	mv Source/pysvn/_pysvn.so _pysvn.so.$*
+backport-stamp:
+ifneq (,$(filter 2.4 2.5, $(PYVERS)))
+	rm -rf backport
+	mkdir -p backport
+	tar cf - Builder Docs Examples INSTALL.html Import Kit LICENSE.txt Patches Source Tests \
+	  | tar -C backport -x -f -
+	cd backport/Source && python2.5 setup.py backport
+endif
 	touch $@
 
-dbg-build-stamp%:
+build-stamp%: backport-stamp
 	dh_testdir
-	rm -f Source/*.o Source/pysvn/*.so Source/Makefile
-	cd Source && python$*-dbg setup.py configure \
+	rm -f $(if $(filter $*, 2.4 2.5),backport/)Source/*.o $(if $(filter $*, 2.4 2.5),backport/)Source/Makefile
+	cd $(if $(filter $*, 2.4 2.5),backport/)Source && python$* setup.py configure \
+		--pycxx-src-dir=/usr/share/python$*/CXX \
 		--pycxx-dir=/usr/share/python$*/CXX \
-		--apr-inc-dir=$(APR_INC)
+		--svn-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--apr-inc-dir=$(APR_INC) \
+
+#		--norpath
 	PYSVN_BUILD_REVISION=1 \
-	  $(MAKE) -C Source
-	mv Source/pysvn/_pysvn.so _pysvn_d.so.$*
+	  $(MAKE) -C $(if $(filter $*, 2.4 2.5),backport/)Source
+	mv $(if $(filter $*, 2.4 2.5),backport/)Source/pysvn/_pysvn_$(subst .,_,$*).so _pysvn_$(subst .,_,$*).so
+	mv $(if $(filter $*, 2.4 2.5),backport/)Source/pysvn/__init__.py __init__$(subst .,_,$*).py
+	touch $@
+
+dbg-build-stamp%: backport-stamp
+	dh_testdir
+	rm -f $(if $(filter $*, 2.4 2.5),backport/)Source/*.o $(if $(filter $*, 2.4 2.5),backport/)Source/Makefile
+	cd $(if $(filter $*, 2.4 2.5),backport/)Source && python$*-dbg setup.py configure \
+		--pycxx-src-dir=/usr/share/python$*/CXX \
+		--pycxx-dir=/usr/share/python$*/CXX \
+		--svn-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--apr-inc-dir=$(APR_INC) \
+
+#		--norpath
+	PYSVN_BUILD_REVISION=1 \
+	  $(MAKE) -C $(if $(filter $*, 2.4 2.5),backport/)Source
+	mv $(if $(filter $*, 2.4 2.5),backport/)Source/pysvn/_pysvn_$(subst .,_,$*).so _pysvn_$(subst .,_,$*)_d.so
+	mv $(if $(filter $*, 2.4 2.5),backport/)Source/pysvn/__init__.py __init__$(subst .,_,$*).py
 	touch $@
 
 clean:
@@ -69,7 +86,11 @@
 	rm -f build-stamp* dbg-build-stamp*
 	rm -f Source/*.o Source/pysvn/*.so Source/pysvn_version.hpp
 	rm -f Source/pysvn_docs.[ch]pp Source/Makefile Tests/Makefile
+	rm -f Source/generate_svn_error_codes/generate_svn_error_codes Source/generate_svn_error_codes.hpp
 	rm -f _pysvn*.so*
+	rm -f __init__*.py
+	-find -name '*.py[co]' | xargs rm -f
+	rm -rf backport backport-stamp
 	dh_clean 
 
 install: install-stamp
@@ -80,16 +101,17 @@
 install-stamp: build-stamp install-pre $(PYVERS:%=install-python%) $(PYVERS:%=dbg-install-python%)
 install-python%:
 	dh_installdirs -ppython-svn \
-		usr/lib/python$*/site-packages/pysvn
-	cp -pr Source/pysvn $(d)/usr/lib/python$*/site-packages/
-	cp -p _pysvn.so.$* $(d)/usr/lib/python$*/site-packages/pysvn/_pysvn_$(subst .,_,$*).so
+		$(call py_libdir,$*)/pysvn
+	install -d $(d)/$(call py_libdir,$*)/pysvn/
+	cp -p _pysvn_$(subst .,_,$*).so $(d)/$(call py_libdir,$*)/pysvn/
+	cp -p __init__$(subst .,_,$*).py $(d)/$(call py_libdir,$*)/pysvn/__init__.py
 
 	-find $(d) -name .svn | xargs rm -rf
 
 dbg-install-python%:
 	dh_installdirs -ppython-svn-dbg \
-		usr/lib/python$*/site-packages/pysvn
-	cp -p _pysvn_d.so.$* $(d)-dbg/usr/lib/python$*/site-packages/pysvn/_pysvn_$(subst .,_,$*)_d.so
+		$(call py_libdir,$*)/pysvn
+	cp -p _pysvn_$(subst .,_,$*)_d.so $(d)-dbg/$(call py_libdir,$*)/pysvn/
 	-find $(d)-dbg -name .svn | xargs rm -rf
 
 # Build architecture independant packages using the common target.
@@ -108,7 +130,7 @@
 	ln -s python-svn debian/python-svn-dbg/usr/share/doc/python-svn-dbg
 	dh_compress -a -X.py -X.sxw
 	dh_fixperms -a
-	DH_PYCENTRAL=nomove dh_pycentral -a
+	dh_python2 -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
