## pysvn 1.7.6

=== debian/changelog ===
pysvn (1.7.6-0.1ubuntu1) quantal; urgency=low

  * debian/patches/02-fix-ld-shared.patch:
    - Fix linking with -lsvn* (LP: #1045021)

 -- Jason Conti <jason.conti@gmail.com>  Sun, 02 Sep 2012 14:38:34 -0400

pysvn (1.7.6-0.1) experimental; urgency=low

  * Non-maintainer upload
  * Upload to experimental, we're now freeze time and it may break other 
    package, so checking reverse dependency packages is needed to put it
    to unstable.
  * New upstream release
    - works with subversion1.7 (Closes: #678559)
  * debian/control
    - add "Build-Depends: libaprutil1-dev" to provide apu.h file.
  * debian/rules
    - specify "--apu-inc-dir" option to find apu.h.
    - enable --norpath option to avoid "binary-or-shlib-defines-rpath" lintain
      error
  * debian/patches
    - refresh it, meet to new upstream release

 -- Hideki Yamane <henrich@debian.org>  Thu, 19 Jul 2012 04:23:27 +0900
