=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pysvn
 Section: python
 Priority: optional
-Maintainer: Henry Velez <henry.debian@gmail.com>
-Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-9~), python-all-dbg, python-cxx-dev (>= 6.1.1-2), libsvn-dev (>= 0.12), libapr1-dev, libneon27-gnutls-dev, subversion (>= 1.6.1)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Henry Velez <henry.debian@gmail.com>
+Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-9~), python-all-dbg, python-cxx-dev (>= 6.1.1-2), libsvn-dev (>= 0.12), libapr1-dev, libneon27-gnutls-dev, subversion (>= 1.6.1), libaprutil1-dev
 XS-Python-Version: all
 Standards-Version: 3.9.2
 Homepage: http://pysvn.tigris.org/
