=== debian/rules ===
--- 
+++ 
@@ -56,8 +56,8 @@
 		--pycxx-dir=/usr/share/python$*/CXX \
 		--svn-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--apr-inc-dir=$(APR_INC) \
-
-#		--norpath
+		--apu-inc-dir=$(APR_INC) \
+		--norpath
 	PYSVN_BUILD_REVISION=1 \
 	  $(MAKE) -C $(if $(filter $*, 2.4 2.5),backport/)Source
 	mv $(if $(filter $*, 2.4 2.5),backport/)Source/pysvn/_pysvn_$(subst .,_,$*).so _pysvn_$(subst .,_,$*).so
@@ -72,8 +72,8 @@
 		--pycxx-dir=/usr/share/python$*/CXX \
 		--svn-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--apr-inc-dir=$(APR_INC) \
-
-#		--norpath
+		--apu-inc-dir=$(APR_INC) \
+		--norpath
 	PYSVN_BUILD_REVISION=1 \
 	  $(MAKE) -C $(if $(filter $*, 2.4 2.5),backport/)Source
 	mv $(if $(filter $*, 2.4 2.5),backport/)Source/pysvn/_pysvn_$(subst .,_,$*).so _pysvn_$(subst .,_,$*)_d.so
