## pysvn 1.7.8

=== debian/changelog ===
pysvn (1.7.8-1) unstable; urgency=low

  * New Maintainer (Closes: #741094)
  * Buildsystem changed to pybuild
  * debian/source/options adds extend-diff-ignore to ignore changes
    made during compilation to upstream code.
  * debian/rules override_dh_installdocs added (Closes: #736300).
  * debian/copyright fixed issues with dep-5.
  * debian/control:
     - added new description to the dbg package.
     - set Standards-Version: 3.9.5 no changes required.

 -- Josue Ortega <josueortega@debian.org.gt>  Mon, 14 Apr 2014 12:18:08 -0600

pysvn (1.7.8-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - specify "--apr-lib-dir" to fix "FTBFS: 'Error:', 'cannot find APR
      library libapr-0.so'" (Closes: #738371)

 -- Hideki Yamane <henrich@debian.org>  Tue, 11 Feb 2014 21:08:35 +0900

pysvn (1.7.8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/rules (and more...)
    - make it dh-nize 
  * debian/compat
    - set 9
  * debian/control
    - set Standards-Version: 3.9.4

 -- Hideki Yamane <henrich@debian.org>  Sat, 05 Oct 2013 22:53:34 +0900

pysvn (1.7.6-0.3) unstable; urgency=low

  * Non-maintainer upload
  * debian/rules
    - add "--platform=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)" to 
      setup.py to solve problem on kfrebsd arch. 
  * debian/patches
    - add specify_platform_kfreebsd-hurd_as_linux.patch to deal with kfreebsd
      and hurd as platform

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Aug 2012 07:10:54 +0900

pysvn (1.7.6-0.2) unstable; urgency=low

  * Non-maintainer upload
  * upload to unstable 

 -- Hideki Yamane <henrich@debian.org>  Thu, 02 Aug 2012 14:04:08 +0900
