=== debian/control ===
Source: pysvn
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josueortega@debian.org.gt>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 libapr1-dev,
 libaprutil1-dev,
 libneon27-gnutls-dev,
 libsvn-dev (>= 0.12),
 python-all-dbg,
 python-all-dev (>= 2.6.6-3~),
 python-cxx-dev (>= 6.1.1-2),
 python-setuptools,
 subversion (>= 1.6.1)
X-Python-Version: all
Standards-Version: 3.9.5
Homepage: http://pysvn.tigris.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pysvn/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pysvn/trunk/

Package: python-svn
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: python-pysvn
Suggests: python-svn-dbg
Description: A(nother) Python interface to Subversion
 The pysvn module is a Python interface to the Subversion version
 control system.  This API exposes client interfaces for managing a
 working copy, querying a repository, and synchronizing the two.

Package: python-svn-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
 python-dbg,
 python-svn (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: python-pysvn
Description: A(nother) Python interface to Subversion (debug extension)
 The pysvn module is a Python interface to the Subversion version
 control system.  This API exposes client interfaces for managing a
 working copy, querying a repository, and synchronizing the two.
 .
 This package contains the debugging symbols for python-svn.
