## pysvn 1.8.0

=== debian/changelog ===
pysvn (1.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #802121):
     - debian/patches/* updated to be compatible with the new upstream release.
  * debian/control:
     - Dependencies version updated.
     - set Standards-Version: 3.9.6 no changes required.
  * debian/copyright:
     - Updated BSD license tag name to BSD-4-clause.
     - Paragraphs have been reordered.

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 20 Dec 2015 17:55:29 -0600
