=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  libapr1-dev,
  libaprutil1-dev,
  libneon27-gnutls-dev,
- libsvn-dev (>= 0.12),
+ libsvn-dev (>= 1.8.10),
  python-all-dbg,
- python-all-dev (>= 2.6.6-3~),
- python-cxx-dev (>= 6.1.1-2),
+ python-all-dev (>= 2.7.8),
+ python-cxx-dev (>= 6.2.5),
  python-setuptools,
- subversion (>= 1.6.1)
-X-Python-Version: all
-Standards-Version: 3.9.5
+ subversion (>= 1.8.10)
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.6
 Homepage: http://pysvn.tigris.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pysvn/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pysvn/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pysvn.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysvn.git
 
 Package: python-svn
 Architecture: any
