=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 %:
 	dh $@ --with=python2 --buildsystem=pybuild
 
-override_dh_auto_configure: 
+override_dh_auto_configure:
 	cd $(CURDIR)/Source; python setup.py configure $(CONFIG_OPTS)
 
 override_dh_auto_build:
