=== debian/watch ===
version=3
http://pysvn.tigris.org/project_downloads.html .*/pysvn-(.*)\.tar\.gz
