## pysvn 1.9.4

=== debian/changelog ===
pysvn (1.9.4-2) unstable; urgency=medium

  * Adds patch 0001-fix-multiple-arch-support.patch to support
    architectures besides amd64.
  * debian/rules: Comments verbosity flag.

 -- Josue Ortega <josue@debian.org>  Sun, 09 Oct 2016 22:12:10 -0600

pysvn (1.9.4-1) unstable; urgency=medium

  * New upstream release:
    - debian/rules: Updated --pycxx-dir in CONFIG_OPTIONS(3).
    - debian/rules: Updated Import/pycxx-6.28 directory.
  * debian/control:
    - Changes python-cxx-dev build depend relationship grater-equal than
      7.0.1, (Closes: #839366).
    - Removes suggests field with pyhon-svn-dbg in Python package.
  * debian/watch: Updates origin URL.

 -- Josue Ortega <josue@debian.org>  Sun, 02 Oct 2016 17:22:10 -0600

pysvn (1.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Josue Ortega ]
  * debian/control:
     - python-svn-dbg removed, since it was generated with no
       debug symbols.
     - Adds Python 3 package.
     - Updates uploader's mail.
     - Standards-Version updated to 3.9.8, no changes required.
     - Changes python-cxx-dev build depend relationship to be strictly less
       than 6.2.7.
  * debian/rules: Adds Python3 package scripts.
  * debian/copyright: Updates year and email for debian/* copyright
    holder.

 -- Josue Ortega <josue@debian.org>  Tue, 05 Jul 2016 16:01:01 +0200
