=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pysvn

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie


DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PYVERS	:= $(shell pyversions -vr debian/control)
PY3VERS := $(shell py3versions -vr debian/control)
APR_INC	= $(strip $(shell apr-config --includes | sed 's/-I//'))


CONFIG_OPTS = --pycxx-src-dir=/usr/share/python${PYVERS}/CXX \
	      --pycxx-dir=/usr/include/python${PYVERS} \
	      --svn-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
              --apr-inc-dir=$(APR_INC) \
              --apu-inc-dir=$(APR_INC) \
	      --apr-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
              --norpath \
              --platform=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFIG3_OPTS = --pycxx-src-dir=/usr/share/python${PY3VERS}/CXX \
	      --pycxx-dir=/usr/include/python${PY3VERS} \
	      --svn-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
              --apr-inc-dir=$(APR_INC) \
              --apu-inc-dir=$(APR_INC) \
	      --apr-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH) \
              --norpath \
              --platform=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	cd $(CURDIR)/Source; python setup.py configure $(CONFIG_OPTS)
	mv $(CURDIR)/Source/Makefile $(CURDIR)/Source/MakefilePy2
	cd $(CURDIR)/Source; python3 setup.py configure $(CONFIG3_OPTS)
	mv $(CURDIR)/Source/Makefile $(CURDIR)/Source/MakefilePy3


override_dh_auto_build:
	mkdir $(CURDIR)/Source/pysvn/python2
	mv $(CURDIR)/Source/MakefilePy2 $(CURDIR)/Source/Makefile
	$(MAKE) -C $(CURDIR)/Source

	mv $(CURDIR)/Source/pysvn/__init__.py $(CURDIR)/Source/pysvn/python2/
	mv $(CURDIR)/Source/pysvn/_pysvn_2_*.so $(CURDIR)/Source/pysvn/python2/
	$(MAKE) clean -C $(CURDIR)/Source

	mkdir $(CURDIR)/Source/pysvn/python3
	mv $(CURDIR)/Source/MakefilePy3 $(CURDIR)/Source/Makefile
	$(MAKE) -C $(CURDIR)/Source

	mv $(CURDIR)/Source/pysvn/__init__.py $(CURDIR)/Source/pysvn/python3/
	mv $(CURDIR)/Source/pysvn/_pysvn_3_*.so $(CURDIR)/Source/pysvn/python3/
	$(MAKE) clean -C $(CURDIR)/Source

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/Source/pysvn/python2
	rm -rf $(CURDIR)/Source/pysvn/python3
