## pysvn 1.9.5

=== debian/changelog ===
pysvn (1.9.5-1) unstable; urgency=medium

  * New upstream release (1.9.5):
    - Update debian/patches.
  * Bumps debhelper version from 9 to 11.
  * Bumps Standards-Version from 3.9.8 to 4.1.3:
    - debian/copyright: Changes URI to its secure version.
  * Updates debian/copyright.

 -- Josue Ortega <josue@debian.org>  Sun, 28 Jan 2018 18:20:31 -0600

pysvn (1.9.4-3) unstable; urgency=medium

  * Team upload.
  * Update to build python3-svn for all supported python3 versions
    (Closes: #862423)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Jul 2017 13:14:54 -0400
