=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  libapr1-dev,
  libaprutil1-dev,
@@ -21,7 +21,7 @@
  subversion (>= 1.8.10)
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://pysvn.tigris.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysvn.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysvn.git
