=== debian/watch ===
version=3
http://pysvn.barrys-emacs.org .*/pysvn-(.*)\.tar\.gz
