## pysvn 1.9.6

=== debian/changelog ===
pysvn (1.9.6-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:54:30 +0000

pysvn (1.9.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field

  [ Josue Ortega ]
  * New upstream version (1.9.6).
  * Bumps Standards-Version to 4.1.4, no changes required.
  * debian/control: Bumps X-Python3-Version to use 3.6.

 -- Josue Ortega <josue@debian.org>  Sun, 24 Jun 2018 17:37:09 -0600
