=== debian/control ===
--- 
+++ 
@@ -19,12 +19,11 @@
  python3-setuptools (>= 5.5.1),
  python3-cxx-dev (>= 7.0.1),
  subversion (>= 1.8.10)
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
-Standards-Version: 4.1.3
+X-Python3-Version: >= 3.6
+Standards-Version: 4.1.4
 Homepage: http://pysvn.tigris.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysvn.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysvn.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pysvn.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pysvn
 
 Package: python-svn
 Architecture: any
