## pysvn 1.9.9

=== debian/changelog ===
pysvn (1.9.9-2.1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:36:34 +0100

pysvn (1.9.9-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix clean target
  [Gianfranco Costamagna]
  * Drop python2 package (Closes: #937552)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 28 Dec 2019 11:03:00 +0000

pysvn (1.9.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Josue Ortega ]
  * Bump debhelper-compat to use (= 12)
  * Call python2 instead of python in the autopkg test. Closes: #943412.
    Thanks to Matthias Klose for the patch

 -- Josue Ortega <josue@debian.org>  Wed, 30 Oct 2019 19:10:08 -0600

pysvn (1.9.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
   * Convert git repository from git-dpm to gbp layout

  [ Josue Ortega ]
  * New upstream release (1.9.9-1):
    - Update debian/patches.
  * Bump Standards-Version to 4.3.0:
    - Document Rules-Requires-Root field.
  * debian/copyright:
    - Update copyright years.
    - Update pycxx location.
  * debian/control: Update package homepage.
  * debian/rules: Change DEB_HOST_MULTIARCH to use ?= at its
    assignation.
  * debian/watch: Update to use SourceForge mirror.
  * Add debian CI tests.

 -- Josue Ortega <josue@debian.org>  Thu, 21 Feb 2019 21:10:08 -0600
