=== debian/control ===
Source: pysvn
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 libapr1-dev,
 libaprutil1-dev,
 libneon27-gnutls-dev,
 libsvn-dev (>= 1.8.10),
 python3-all (>= 3.4.2),
 python3-all-dev (>= 3.4.2),
 python3-setuptools (>= 5.5.1),
 python3-cxx-dev (>= 7.0.1),
 subversion (>= 1.8.10)
X-Python3-Version: >= 3.6
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://pysvn.sourceforge.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/pysvn.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pysvn

Package: python3-svn
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: python3-pysvn
Description: A(nother) Python 3 interface to Subversion
 The pysvn module is a Python 3 interface to the Subversion version
 control system.  This API exposes client interfaces for managing a
 working copy, querying a repository, and synchronizing the two.
